/* ====================================================== */
/* HCB CSS for control sap.ui.commons/SearchField.control */
/* ====================================================== */

.sapUiSearchField {
	height: 18px; /*@sapUiTextFieldHeight;*/
	font-size: @sapUiDesktopFontSize;
}

.sapUiSearchFieldTf {
	height: 18px; /*@sapUiTextFieldHeight;*/
	margin-top: 0px;
}

.sapUiSearchFieldProvIco {
	margin-top: 0;
	left: 0;
}

.sapUiSearchFieldIco {
	margin-top: 1px;
	background-image: url("img/search/search.png");
}

.sapUiSearchFieldCb,
.sapUiSearchFieldCb.sapUiTfRo {
	padding: 0 36px 0 0;
}

.sapUiSearchFieldCb .sapUiSearchFieldIco,
.sapUiSearchFieldCb.sapUiTfRo .sapUiSearchFieldIco {
	right: 19px;
}

.sapUiSearchFieldDsbl .sapUiSearchFieldProvIco,
.sapUiSearchFieldDsbl .sapUiSearchFieldIco {
	opacity: 0.5;
}

.sapUiSearchFieldClear.sapUiSearchFieldVal > .sapUiSearchFieldTf > .sapUiSearchFieldIco,
.sapUiSearchFieldClear.sapUiSearchFieldVal > .sapUiSearchFieldCb > .sapUiSearchFieldIco {
	font-size: 0;
	color: transparent;
	background-image: url("img/search/clear.gif");
	margin-top: 2px;
}

.sapUiSearchFieldClear.sapUiSearchFieldVal.sapUiSearchFieldDsbl > .sapUiSearchFieldTf > .sapUiSearchFieldIco,
.sapUiSearchFieldClear.sapUiSearchFieldVal.sapUiSearchFieldDsbl > .sapUiSearchFieldCb > .sapUiSearchFieldIco {
	width: 15px;
	margin-top: 1px;
}
